springlist = {{{x00, y00, z00, yaw00, pitch00, roll00}, {0, dyaw1/2, 0}, 
      {0, pitchbl, rollbl}, {x00 + ql*Cos[pitch00]*Cos[rollbl]*Cos[yaw00]*
         Sin[pitchbl] + (dyaw1/2 - ql*Sin[rollbl])*
         (Cos[yaw00]*Sin[pitch00]*Sin[roll00] - Cos[roll00]*Sin[yaw00]) + 
        ql*Cos[pitchbl]*Cos[rollbl]*(Cos[roll00]*Cos[yaw00]*Sin[pitch00] + 
          Sin[roll00]*Sin[yaw00]), y00 + ql*Cos[pitch00]*Cos[rollbl]*
         Sin[pitchbl]*Sin[yaw00] + ql*Cos[pitchbl]*Cos[rollbl]*
         (-(Cos[yaw00]*Sin[roll00]) + Cos[roll00]*Sin[pitch00]*Sin[yaw00]) + 
        (dyaw1/2 - ql*Sin[rollbl])*(Cos[roll00]*Cos[yaw00] + 
          Sin[pitch00]*Sin[roll00]*Sin[yaw00]), 
       z00 + ql*Cos[pitch00]*Cos[pitchbl]*Cos[roll00]*Cos[rollbl] - 
        ql*Cos[rollbl]*Sin[pitch00]*Sin[pitchbl] + Cos[pitch00]*Sin[roll00]*
         (dyaw1/2 - ql*Sin[rollbl]), yaw00, pitch00, roll00}, 
      {COMx, COMy, COMz}, {0, pitchbl, rollbl}, bladetype, 
      {{0, 0, 0, 0, 0, 0}, {0, 0, 0, 0, 0, 0}, {0, 0, kbz, 0, 0, 0}, 
       {0, 0, 0, 0, 0, 0}, {0, 0, 0, 0, 0, 0}, {0, 0, 0, 0, 0, 0}}, 
      {0, 0, bd*kbz, 0, 0, 0}}, {{x00, y00, z00, yaw00, pitch00, roll00}, 
      {0, -dyaw1/2, 0}, {0, pitchbr, rollbr}, 
      {x00 + qr*Cos[pitch00]*Cos[rollbr]*Cos[yaw00]*Sin[pitchbr] + 
        (-dyaw1/2 - qr*Sin[rollbr])*(Cos[yaw00]*Sin[pitch00]*Sin[roll00] - 
          Cos[roll00]*Sin[yaw00]) + qr*Cos[pitchbr]*Cos[rollbr]*
         (Cos[roll00]*Cos[yaw00]*Sin[pitch00] + Sin[roll00]*Sin[yaw00]), 
       y00 + qr*Cos[pitch00]*Cos[rollbr]*Sin[pitchbr]*Sin[yaw00] + 
        qr*Cos[pitchbr]*Cos[rollbr]*(-(Cos[yaw00]*Sin[roll00]) + 
          Cos[roll00]*Sin[pitch00]*Sin[yaw00]) + (-dyaw1/2 - qr*Sin[rollbr])*
         (Cos[roll00]*Cos[yaw00] + Sin[pitch00]*Sin[roll00]*Sin[yaw00]), 
       z00 + qr*Cos[pitch00]*Cos[pitchbr]*Cos[roll00]*Cos[rollbr] - 
        qr*Cos[rollbr]*Sin[pitch00]*Sin[pitchbr] + Cos[pitch00]*Sin[roll00]*
         (-dyaw1/2 - qr*Sin[rollbr]), yaw00, pitch00, roll00}, 
      {COMx, COMy, COMz}, {0, pitchbr, rollbr}, bladetype, 
      {{0, 0, 0, 0, 0, 0}, {0, 0, 0, 0, 0, 0}, {0, 0, kbz, 0, 0, 0}, 
       {0, 0, 0, 0, 0, 0}, {0, 0, 0, 0, 0, 0}, {0, 0, 0, 0, 0, 0}}, 
      {0, 0, bd*kbz, 0, 0, 0}}}
 
springlist /: springlist::usage = "springlist is part of the specification of \
the model. It is a list of structures defining blades. Each structure \
containing the following items:\n\n{\n\n\tcoordinate list defining first \
mass,\n\n\tattachment point for first mass (local \
coordinates),\n\n\tattachment angles for first mass (yaw, pitch, \
roll),\n\n\tcoordinate list defining second mass,\n\n\tattachment point for \
second mass (local coordinates),\n\n\tattachment angles for second mass (yaw, \
pitch, roll),\n\n\tdamping type,\n\n\t6x6 elasticity matrix,\n\n\t1*6 force \
vector\n\n}"
 
dyaw1 /: dyaw1::usage = "dyaw1 is the y-direction separation of the wire \
attachment points at the structure."
